[Pkg-javascript-commits] [node-htmlescape] 12/12: Run testsuite

Bastien Roucariès rouca at moszumanska.debian.org
Sun Aug 20 13:48:43 UTC 2017


This is an automated email from the git hooks/post-receive script.

rouca pushed a commit to branch master
in repository node-htmlescape.

commit 5e56087fafbc0d58699d4016784ce0b57b97a0ca
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date:   Thu Aug 17 23:28:33 2017 +0200

    Run testsuite
---
 debian/tests/control      |  3 +++
 debian/tests/runtestsuite | 15 +++++++++++++++
 2 files changed, 18 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index 4ce8210..1fff783 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,5 @@
 Tests: require
 Depends: node-htmlescape
+
+Tests: runtestsuite
+Depends: node-htmlescape, node-tape (>= 4.6)
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
new file mode 100755
index 0000000..87e0229
--- /dev/null
+++ b/debian/tests/runtestsuite
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+# notice the / at end in order to load this module
+PACKAGE='htmlescape'
+SEDCMD="s,require\s*[(]\s*'[.][.]/?([^']*)'\s*[)],require('$PACKAGE/\1'),g"
+
+tmpdir=$(mktemp -d)
+trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
+
+cp -r test/ $tmpdir/test
+find test/ -name '*.js' -print0 | \
+    xargs -0 -n1  \
+	  sh -c 'set -e; echo "Create: $3"; sed -E "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
+# avoid false that does not work outside build dir
+tape $tmpdir/test/*.js

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-htmlescape.git



More information about the Pkg-javascript-commits mailing list